Page MenuHomePhabricator

Correctly handle mSubmitModifierClass in OOUIHTMLForm
Closed, ResolvedPublic

Description

Correctly handle mSubmitModifierClass in OOUIHTMLForm. The mSubmitModifierClass field contains a MediaWiki UI class name, which does not work with OOUI. We need to parse it (or change the setters for it) and set the progressive/constructive/destructive flag instead.

Event Timeline

matmarex created this task.May 12 2015, 7:28 PM
matmarex updated the task description. (Show Details)
matmarex raised the priority of this task from to Needs Triage.
matmarex added a subscriber: matmarex.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 12 2015, 7:28 PM
Prtksxna set Security to None.
Jdforrester-WMF triaged this task as Normal priority.Jun 4 2015, 12:10 AM

Change 218149 had a related patch set uploaded (by Bartosz Dziewoński):
OOUIHTMLForm: Correctly handle mSubmitModifierClass

https://gerrit.wikimedia.org/r/218149

Change 218149 merged by jenkins-bot:
OOUIHTMLForm: Correctly handle submit modifier flags

https://gerrit.wikimedia.org/r/218149

Jdforrester-WMF closed this task as Resolved.Jun 27 2015, 6:53 PM
Jdforrester-WMF claimed this task.